<?xml version="1.0"?>
<manpage>
<defines>
<copyright>Copyright (c) 2002  Tony Aiuto</copyright>
<rcsid>$Id: bigcal.man tools_TonyAiuto/3 2002/11/21 19:47:25 TonyAiuto $</rcsid>
<name	value="bigcal" />
<title	value="bigcal - a little calendar printing tool" />
<author	name="Tony Aiuto" email="tony@aiu.to" />
<version value="@VERSION@" />
<date	value="@DATE@" />
<keywords>freeware, shareware, linux, tools, goodies, calendar, postscript</keywords>
<description content="A little calendar printing tool."/>
</defines>

<synopsis>
<usage>bigcal [-beHnpstw] [-123456789qhy] [-W nn] [calendarFile ...]</usage>
</synopsis>

<description>
<iword>bigcal</iword>
is the tool I use to print my calendar.
It is called
<iword>bigcal</iword>
for historical reasons,
because, by default, it prints a calendar
that is much bigger than that which the unix
<iword>cal</iword>
command prints.
<p>
You may ask why the world needs another
calendar printer, especially when there are so many full featured ones
out there.  Mostly because this one deals with upcoming weeks,
rather than the present month.
On November 20th, I don't really find it useful to see what I did
on the 2nd, but I would like to know what is coming up on December
4th.
</p>
<p>
<iword>bigcal</iword>
can print calendars in text, postscript or HTML.
By default it displays the next four weeks in ASCII on your terminal.
The postscipt option normally prints nine weeks worth and fits
on one page.  You can print that, stuff it in your pocket
and not have to lug around a day runner or a PDA.
</p>
You drive it from 3 files.
<ul>
<li>$HOME/.cal - your main calendar file</li>
<li>$HOME/.cal.base - fixed holidays</li>
<li>$HOME/.cal.birthdays - list of birthdays and anniversaries</li>
</ul>
</description>

<options width="10">
<option name="-b">
just print a <B>B</B>lank calendar.
</option>
<option name="-e">
<B>E</B>dit $HOME/.cal file before printing calendar.
</option>
<option name="-H">
print calendar in <B>H</B>tml.
</option>
<option name="-n">
do <B>N</B>ot load $HOME/.cal, $HOME/.cal.birthdays &amp; $HOME/.cal.base files.
</option>
<option name="-p">
print calendar in Postscript.
</option>
<option name="-s">
Squeeze out blank lines.
</option>
<option name="-t">
print Todo list ($HOME/.todo).
</option>
<option name="-w">
print Weekend days.
</option>
<option name="-W" args="n">
print for terminal Width of <I>n</I>.
</option>
<option name="-q">
print next Quarter of a year (13 weeks).
</option>
<option name="-h">
print next Half of a year (26 weeks).
</option>
<option name="-y">
print next Year (52 weeks).
</option>
<option name="-123456789">
print N weeks (default=4).
</option>
</options>

<section name="Format of $HOME/.cal file">
<display>
# <i>comment</i>
month day [-tag] item1|item2 ...
month day [+b] item1
month day [+h] item1
-tag items print on same line as the date.
+b and +h mark the item as a birthday or holiday, respectively
other items print on successive lines.
</display>
</section>

<author_section/>
<source_section default="1" prog="@NAME@%20@VERSION@">
<p>
This manual page describes @NAME@ @VERSION@ - as of @DATE@
</p>
<p>
<webref href="http://tony.aiu.to/sa/@PACKAGE@">gzipped source - @PACKAGE@</webref>
<br/><webref href="http://tony.aiu.to/sa/@ZPACKAGE@">zipped source - @ZPACKAGE@</webref>
</p>
</source_section>

<defaultlicense>
nothing to add
</defaultlicense>


<section name="SEE ALSO">
I also have a Tcl library which reads Palm data files
and a Tcl program which converts the data to bigcal format.
That will be released on my web site sometime soon.
<p>
If you want a calendar/reminder tool which is more feature
rich, try
<iword>remind</iword>
from Roaring Penguin
</p>
</section>
</manpage>
